:host {
  position: relative;
  z-index: 0;
  box-shadow: 0 8px 16px rgb(51 51 51 / 20%);

  // position: absolute;
  display: flex;
  background-color: #fff; // elevation-01 tailwind
  border-radius: 0.5rem;
  overflow: hidden;
  border: 1px solid #d7d7d7; // base-04 tailwind
  box-sizing: border-box;
  /* stylelint-disable-next-line */
  max-width: calc(100% - 8px); // Comes from JS so in pixels

  &.ng-animating {
    pointer-events: none;
  }

  &:not([style*='top']) {
    visibility: hidden;
  }
}

.t-wrapper {
  flex-grow: 1;
  max-width: 100%;
  max-height: inherit;
  overflow: visible;
}

.t-scroll {
  height: 100%;
}

.t-primitive {
  padding: 1rem;
}
